#!/usr/bin/make -f

export PYBUILD_NAME=django-mptt

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs $(CURDIR)/debian/python-django-mptt-doc/usr/share/doc/python-django-mptt-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
	PYTHONPATH=.:tests \
	dh_auto_test -- --system=custom --test-args="{interpreter} /usr/bin/django-admin test --settings=settings --verbosity 2 --traceback myapp"

override_dh_auto_clean:
	rm -rf build
	dh_auto_clean
